<?php

namespace Mavabc;

use DB;
use Illuminate\Database\Seeder;

class CasestudyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('casestudies_categories')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'casestudy.casestudies_category.view',
                'name'      => 'View CasestudiesCategory',
            ],
            [
                'slug'      => 'casestudy.casestudies_category.create',
                'name'      => 'Create CasestudiesCategory',
            ],
            [
                'slug'      => 'casestudy.casestudies_category.edit',
                'name'      => 'Update CasestudiesCategory',
            ],
            [
                'slug'      => 'casestudy.casestudies_category.delete',
                'name'      => 'Delete CasestudiesCategory',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/casestudy/casestudies_category',
                'name'        => 'CasestudiesCategory',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/casestudy/casestudies_category',
                'name'        => 'CasestudiesCategory',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'casestudies_category',
                'name'        => 'CasestudiesCategory',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Casestudy',
                'module'    => 'CasestudiesCategory',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'casestudy.casestudies_category.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
