Lavalite package that provides casestudy management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `mavabc/casestudy`.

    "mavabc/casestudy": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Mavabc\Casestudy\Providers\CasestudyServiceProvider::class,

And also add it to alias

    'Casestudy'  => Mavabc\Casestudy\Facades\Casestudy::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Mavabc\\CasestudyTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Mavabc\Casestudy\Providers\CasestudyServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Mavabc\Casestudy\Providers\CasestudyServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Mavabc\Casestudy\Providers\CasestudyServiceProvider" --tag="view"


## Usage


