<?php

// Resource routes  for casestudy
Route::group(['prefix' => set_route_guard('web').'/casestudy'], function () {
    Route::resource('casestudy', 'CasestudyResourceController');
});

// Public  routes for casestudy
Route::get('casestudy/popular/{period?}', 'CasestudyPublicController@popular');
Route::get('casestudies/', 'CasestudyPublicController@index');
Route::get('casestudies/{slug?}', 'CasestudyPublicController@show');

// Resource routes  for casestudies_category
Route::group(['prefix' => set_route_guard('web').'/casestudy'], function () {
    Route::resource('casestudies_category', 'CasestudiesCategoryResourceController');
});

// Public  routes for casestudies_category
Route::get('casestudies_category/popular/{period?}', 'CasestudiesCategoryPublicController@popular');
Route::get('casestudies/', 'CasestudiesCategoryPublicController@index');
Route::get('casestudies/{slug?}', 'CasestudiesCategoryPublicController@show');

